(* $Id: file.ml,v 1.1.1.1 2012/05/21 21:32:14 fclement Exp $ *)

 (* Reading and writing files in one step. *)
let to_string f =
  let ic = open_in f in
  let len = in_channel_length ic in
  let buf = String.create len in
  really_input ic buf 0 len;
  close_in ic;
  buf
;;

let of_string s f =
  let oc = open_out f in
  output_string oc s;
  close_out oc
;;
